summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2017-11-15 14:40:19 +0200
committerMart Raudsepp <leio@gentoo.org>2017-11-15 14:40:19 +0200
commit7c54a081b967caca70d030a32325ce9a869340bc (patch)
treebbd3a1c474941cfc59ad84f2da76aa6a37d7d91f
parentwww-plugins/chrome-token-signing: add a TODO about google-chrome-{beta,unstab... (diff)
downloadleio-master.tar.gz
leio-master.tar.bz2
leio-master.zip
dev-libs/opensc: Add a snapshot version for esteid new certificate patchesHEADmaster
Includes EstEID ECDSA and ECDH token support, needed for new certificates used on EstEID smartcards that had old certificate type compromised by the Infineon security issue.
-rw-r--r--dev-libs/opensc/Manifest1
-rw-r--r--dev-libs/opensc/metadata.xml38
-rw-r--r--dev-libs/opensc/opensc-0.17.0_p20171111.ebuild64
3 files changed, 103 insertions, 0 deletions
diff --git a/dev-libs/opensc/Manifest b/dev-libs/opensc/Manifest
new file mode 100644
index 0000000..254de92
--- /dev/null
+++ b/dev-libs/opensc/Manifest
@@ -0,0 +1 @@
+DIST opensc-0.17.0_p20171111.tar.gz 1502426 SHA256 3cf77197d1e823e7c484fcb5485809fbedc7cd2b747496ed2758a693007f362f SHA512 51edd08b3c9c43a54537fb4f5917ab11a8fd5a9a87bd291c3143d68b7fc5c4c067ada38cb0a3254cc0d07290f4597c3d6124a7c0a9eaf30a871806225005a6d3 WHIRLPOOL 56144cd147f64f81040320f102ec74ffba82b91f50a2c335510df5c57ca1a3b3d58466b5f2d7f0665f87a1cdcb526e13812b4d988e727c11518097286986475e
diff --git a/dev-libs/opensc/metadata.xml b/dev-libs/opensc/metadata.xml
new file mode 100644
index 0000000..709cad6
--- /dev/null
+++ b/dev-libs/opensc/metadata.xml
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>crypto@gentoo.org</email>
+ <name>Crypto</name>
+ </maintainer>
+ <longdescription>
+ OpenSC is a library for accessing SmartCard devices. It is also
+ the core library of the OpenSC project.
+
+ Basic functionality (e.g. SELECT FILE, READ BINARY) should work on
+ any ISO 7816-4 compatible SmartCard. Encryption and decryption
+ using private keys on the SmartCard is possible with PKCS #15
+ compatible cards, such as the FINEID (Finnish Electronic IDentity)
+ card.
+ </longdescription>
+ <use>
+ <flag name="openct">
+ Use <pkg>dev-libs/openct</pkg> (and CT-API) for accessing
+ Smartcard hardware.
+ </flag>
+ <flag name="ctapi">
+ Use CT-API for accessing Smartcard hardware.
+ </flag>
+ <flag name="pcsc-lite">
+ Use <pkg>sys-apps/pcsc-lite</pkg> (and PC/SC API) for accessing
+ Smartcard hardware.
+ </flag>
+ <flag name="secure-messaging">
+ Enable secure messaging.
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">OpenSC/OpenSC</remote-id>
+ <remote-id type="sourceforge">opensc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-libs/opensc/opensc-0.17.0_p20171111.ebuild b/dev-libs/opensc/opensc-0.17.0_p20171111.ebuild
new file mode 100644
index 0000000..e1e1717
--- /dev/null
+++ b/dev-libs/opensc/opensc-0.17.0_p20171111.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit ltprune autotools
+
+COMMIT_HASH="2846295e1f12790bd9d8b01531affbf6feccf22c"
+DESCRIPTION="Libraries and applications to access smartcards"
+HOMEPAGE="https://github.com/OpenSC/OpenSC/wiki"
+SRC_URI="https://github.com/OpenSC/OpenSC/archive/${COMMIT_HASH}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/OpenSC-${COMMIT_HASH}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc +pcsc-lite secure-messaging openct ctapi readline libressl ssl zlib"
+
+RDEPEND="zlib? ( sys-libs/zlib )
+ readline? ( sys-libs/readline:0= )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ openct? ( >=dev-libs/openct-0.5.0 )
+ pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt"
+
+REQUIRED_USE="
+ pcsc-lite? ( !openct !ctapi )
+ openct? ( !pcsc-lite !ctapi )
+ ctapi? ( !pcsc-lite !openct )
+ || ( pcsc-lite openct ctapi )"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --docdir="/usr/share/doc/${PF}" \
+ --htmldir='$(docdir)/html' \
+ --disable-static \
+ --disable-strict \
+ --disable-openpace \
+ $(use_enable doc) \
+ $(use_enable openct) \
+ $(use_enable readline) \
+ $(use_enable zlib) \
+ $(use_enable secure-messaging sm) \
+ $(use_enable ssl openssl) \
+ $(use_enable pcsc-lite pcsc) \
+ $(use_enable openct) \
+ $(use_enable ctapi)
+}
+
+src_install() {
+ default
+ prune_libtool_files --all
+}